Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.actions
Class BounceAction

    java.lang.Object
      |
      +--quicktime.app.actions.PeriodicAction
            |
            +--quicktime.app.actions.MatrixAction
                  |
                  +--quicktime.app.actions.BounceAction

All Implemented Interfaces:
  Targetable, Ticklish

public class BounceAction
extends MatrixAction

This class provides the capability of moving and bouncing a Transformable object around within the space provided by the QTDrawable space that is the space within which the transformable object is displayed, by the amount specified by the deltaMatrix object.

Fields inherited from class quicktime.app.actions.MatrixAction
`doConstraintBoundsTesting, kBottomSide, kLeftSide, kRightSide, kTopSide, target, transMatrix`

Fields inherited from class quicktime.app.actions.PeriodicAction
`actor, reschedule`

Fields inherited from interface quicktime.app.time.Ticklish
`kScale`

Constructor Summary
`BounceAction(int scale, int period, QTDrawable space, Transformable t, float deltaX, float deltaY)` Constructs a BounceAction object.

Methods inherited from class quicktime.app.actions.MatrixAction
`boundsReached, constraintReached, doAction, equals, getSpace, getTarget, rateDirectionChanged, setSpace, setTarget, setTargetMatrix, toString, transformMatrix`

Methods inherited from class quicktime.app.actions.PeriodicAction
`getActionable, getPeriod, getScale, getTriggerCondition, setActionable, setPeriod, setScale, setTriggerCondition, tickle, timeChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface quicktime.app.time.Ticklish
`tickle, timeChanged`

Constructor Detail

### BounceAction

    public BounceAction(int scale,
                        int period,
                        QTDrawable space,
                        Transformable t,
                        float deltaX,
                        float deltaY)
                 throws QTException

  Constructs a BounceAction object.
  Parameters:
    `scale` - the amount with which a second is divided into at a rate of one
    `period` - the number of scale ticks that elapse between invocations of the action.
    `space` - the space within which the object will be bounced and moved
    `t` - the target of the bounce action - the object that is moved
    `deltaX` - the amount by which the object is moved in the X dimension
    `deltaY` - the amount by which the object is moved in the Y dimension

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD